Set the inventory quantity
POST https://{handle}.myshopline.com/admin/openapi/v20261201/inventory_levels/set.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Pass the desired inventory quantity to overwrite the available inventory quantity for a specified inventory item at a location. The provided value will directly replace the original inventory quantity.
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
- available long requiredThe available inventory quantity to be overwritten.Example:
10 - inventory_item_id string requiredThe unique identifier for the inventory item.
Maximum length:64Example:7177011084762551696 - location_id string requiredThe unique identifier for the location.
Maximum length:64Example:5703943989105270965
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
inventory_levelobject
Inventory information.available longThe available inventory quantity.Example:10inventory_item_id stringThe unique identifier for the inventory item.Example:5703943240925324252location_id stringThe unique identifier for the location.Example:5421704248135526901updated_at stringUpdate time of the inventory information. Format: ISO 8601.Example:2022-12-06T20:23:06+08:00variant_id stringThe unique identifier for the variant.Example:18057039432358082693350282
API Explorer
Debugger
Examples
Was this article helpful to you?